# Enum Class SourceCodeAnalysis.Attribute

java.lang.Object
java.lang.Enum<SourceCodeAnalysis.Attribute>
jdk.jshell.SourceCodeAnalysis.Attribute

All Implemented Interfaces:
  `Serializable, Comparable<SourceCodeAnalysis.Attribute>, Constable`

Enclosing class:
  `SourceCodeAnalysis`

public static enum SourceCodeAnalysis.Attribute extends Enum<SourceCodeAnalysis.Attribute>
A span attribute which can be used to derive a coloring.

Since:
  19

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DECLARATION`
  The span refers to a declaration of an element.
  `DEPRECATED`
  The span refers to a deprecated element.
  `KEYWORD`
  The span is a keyword.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SourceCodeAnalysis.Attribute`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SourceCodeAnalysis.Attribute[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DECLARATION

    public static final SourceCodeAnalysis.Attribute DECLARATION
    The span refers to a declaration of an element.

  - ### DEPRECATED

    public static final SourceCodeAnalysis.Attribute DEPRECATED
    The span refers to a deprecated element.

  - ### KEYWORD

    public static final SourceCodeAnalysis.Attribute KEYWORD
    The span is a keyword.

- ## Method Details

  - ### values

    public static SourceCodeAnalysis.Attribute[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SourceCodeAnalysis.Attribute valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null